> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udchip.md).

# New-UDChip

### Übersicht

Chips sind kompakte Elemente, die eine Eingabe, ein Attribut oder eine Aktion darstellen.

### Syntax

```powershell
New-UDChip [-Id <String>] [[-Label] <String>] [[-OnDelete] <Endpoint>] [[-OnClick] <Endpoint>] [[-Icon] <Object>] [[-Style] <Hashtable>] [[-Variant] <String>] [[-Size] <String>] [-ClassName <String>] [-Color <String>] [<CommonParameters>]

    New-UDChip [-Id <String>] [[-Label] <String>] [[-OnDelete] <Endpoint>] [[-OnClick] <Endpoint>] [[-Style] <Hashtable>] [[-Variant] <String>] [[-Avatar] <String>] [[-AvatarType] <String>] [[-Size] <String>] [-ClassName <String>] [-Color <String>] [<CommonParameters>]
```

### Beschreibung

Chips sind kompakte Elemente, die eine Eingabe, ein Attribut oder eine Aktion darstellen.

### Parameter

#### -Id

Die ID der Komponente. Standardmäßig eine zufällige GUID.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Label

Die Bezeichnung für den Chip.

```
Required?                    false
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnDelete

Ein Skriptblock, der aufgerufen wird, wenn der Chip gelöscht wird.

```
Required?                    false
Position?                    9
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnClick

Ein Skriptblock, der aufgerufen wird, wenn auf den Chip geklickt wird.

```
Required?                    false
Position?                    8
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon Ein Symbol, das innerhalb des Chips angezeigt wird.Required?                    falsePosition?                    2Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-StyleCSS-Stile, die auf den Chip angewendet werden.Required?                    falsePosition?                    3Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-VariantDie Themenvariante, die auf den Chip angewendet wird.Required?                    falsePosition?                    4Default value                defaultAccept pipeline input?       falseAliasesAccept wildcard characters?  false-AvatarEin Avatar, der innerhalb des Chips angezeigt wird.Required?                    falsePosition?                    5Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-AvatarTypeDer Typ des Avatars, der im Chip angezeigt wird.Required?                    falsePosition?                    6Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SizeDie Größe des Chips. Gültige Werte sind: "small", "medium"Required?                    falsePosition?                    10Default value                mediumAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ClassNameEine CSS-Klasse, die auf den Chip angewendet wird.Required?                    falsePosition?                    namedDefault valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-ColorDie Farbe des Chips. Standardmäßig 'default'. Gültige Werte: "default", "primary", "secondary"Required?                    falsePosition?                    namedDefault value                defaultAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Ausgaben--------------------------> EXAMPLE 1 --------------------------PS >New-UDChip -Label 'Basic' -Icon (New-UDIcon -Icon 'user') -Id 'chip1'Basic chip|A basic chip with an icon.-------------------------- EXAMPLE 2 --------------------------PS >New-UDChip -Variant outlined -Label 'Outlined' -Icon (New-UDIcon -Icon 'user') -Id 'chip2'Outlined chip|An outlined chip with an icon.-------------------------- EXAMPLE 3 --------------------------PS >New-UDChip -Label 'Clickable' -Icon (New-UDIcon -Icon 'user') -OnClick {PS >    Show-UDToast -Message 'Hello!'PS > } -Id 'chip3'Clickable chip|A clickable chip with an icon.-------------------------- EXAMPLE 4 --------------------------PS >New-UDChip -Label 'Deletable' -Icon (New-UDIcon -Icon 'user') -OnDelete {PS >    Show-UDToast -Message 'Deleted!'PS > } -Id 'chip4'Deletable chip|A deletable chip with an icon.-------------------------- EXAMPLE 5 --------------------------PS >New-UDChip -Label 'Clickable and deletable' -Icon (New-UDIcon -Icon 'user') -OnClick {PS >    Show-UDToast -Message 'Hello!'PS > } -OnDelete {PS >    Show-UDToast -Message 'Deleted!'PS > } -Id 'chip5'Clickable and deletable chip|A clickable and deletable chip with an icon.-------------------------- EXAMPLE 6 --------------------------PS >New-UDChip -Avatar "A" -AvatarType letter -Label 'Avatar' -Id 'chip6'Avatar chip|A chip with an avatar.-------------------------- EXAMPLE 7 --------------------------PS >New-UDChip -Avatar "<https://picsum.photos/200/300>" -AvatarType image -Label 'Avatar' -Id 'chip7'Image chip|A chip with an avatar image.-------------------------- EXAMPLE 8 --------------------------PS >New-UDChip -Label 'Small' -Icon (New-UDIcon -Icon 'user') -Size small -Id 'chip8'Small chip|A small chip with an icon.-------------------------- EXAMPLE 9 --------------------------PS >New-UDChip -Style @{background = 'red'; color = 'white'} -Label 'Styled' -Icon (New-UDIcon -Icon 'user') -Id 'chip9'


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udchip.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
